# Create an e-invoicing business region Creates an e-invoicing business region. You must create business regions to store the business detail information as a seller. If you have multiple GSTINs for different states, you can create multiple business region objects for India. The business region objects can be looked up according to the country and state, and its related fields can be mapped accordingly within the e-invoice file template. Note: This operation is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Endpoint: POST /v1/einvoice/business-regions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `addressLine1` (string) The first line of the Seller's address, which is often a street address or business name. - `addressLine2` (string) The second line of the Seller's address, which is often the name of a building. - `businessName` (string, required) The full official name that the Seller is registered with the relevant legal authority. Example: "legal business name" - `businessNumber` (string) The specify the unique identifier number of the legal entity or person that you do business with. For example, you must use a GSTIN for India and Tax Identification Number (TIN) for Saudi Arabia. Example: "20002039" - `businessNumberSchemaId` (string) The identification scheme identifier that an official registrar issues to identify the Seller as a legal entity or person. Example: "88" - `city` (string) The the name of the city where the business is located. Example: "Tokyo" - `contactName` (string) The name of the Seller contact to receive e-invoicing data. - `country` (string, required) The short name of a country or region where you must comply with e-invoicing requirements. For example, IN for India. For the full list of country names and codes, see View countries or regions. Example: "JP" - `digitalSignatureEnable` (boolean) Whether the e-invoicing service provider signs PDF files for billing documents. - `digitalSignatureBoxEnable` (boolean) Whether the digital signature box is displayed on PDF files for billing documents. - `digitalSignatureBoxPosX` (number) The X-coordinate to determine where the digital signature box is displayed on PDF files for billing documents. - `digitalSignatureBoxPosY` (number) The Y-coordinate to determine where the digital signature box is displayed on PDF files for billing documents. - `email` (string) The email address of the Seller contact to receive e-invoicing data. - `endpointId` (string) The Seller's electronic address, to which the application-level response to the e-invoice file might be delivered. Example: "8992" - `endpointSchemeId` (string) The identification scheme identifier of the Seller's electronic address. Example: "88" - `phoneNumber` (string) The business phone number of the Seller contact to receive e-invoicing data. - `postalCode` (string) The short code that can identify the business address. Example: "368779" - `responseMapping` (object) Container for e-invoicing response field mappings that map values from the e-invoicing service provider's response data to fields on the EInvoiceData object in Zuora. Each response field mapping consists of a field name and a field path. Note: This field is applicable only to the Sovos or Avalara service provider. For more information, see Configure e-invoicing response field mappings. - `processType` (string) The process type of the e-invoicing business region. - If the service provider is Sovos, specify the process type as Clearance or ClearanceWithCancellation. - If the service provider is Avalara, specify the process type as Clearance or PEPPOLNetwork. - If the service provider is PEPPOL, leave this field empty. Enum: "Clearance", "ClearanceWithCancellation", "PEPPOLNetwork" - `invoiceEnabled` (boolean) This field controls whether the invoice should be supported by the process type or not. For some countries, this field is required to be set to true. For more information, see Manage country-specific configurations. - `creditMemoEnabled` (boolean) This field controls whether the credit memo should be supported by the process type or not. For some countries, this field is required to be set to true. For more information, see Manage country-specific configurations. - `debitMemoEnabled` (boolean) This field controls whether the debit memo should be supported by the process type or not. For some countries, this field is required to be set to true. For more information, see Manage country-specific configurations. - `invoiceFilters` (array) The documents belonging to the e-invoicing business region. Example: [{"objectType":"Invoice","condition":{"field":"SoldToContact.Country","operator":"eq","value":"India"}}] - `invoiceFilters.condition` (object) Container for condition information about the invoice filters. - `invoiceFilters.condition.conditions` (array) Multiple conditions fields are combined by the relation fields. These conditions fields form a custom filter. Each conditions field is a formula combined by the field, operator, and value fields. - `invoiceFilters.condition.field` (string) The field name of a single condition that is indicated by the conditions field. - `invoiceFilters.condition.operator` (string) The operator of a single condition that is indicated by the conditions field. The operator is added between the field and value fields. - eq: equal (field = value) - neq: not equal (field != value) - gt: greater than (field > value) - lt: less than (field = value) - lte: less than or equal (field <= value) - lk: like (field like value) - in: in (field in value, the values are separated by comma) - nl: null (field is null) - nnl: not null (field is not null) Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `invoiceFilters.condition.relation` (string) The relation among the conditions fields. Enum: "and", "or" - `invoiceFilters.condition.value` (string) The value of a single condition that is indicated by the conditions field. - `invoiceFilters.condition.objectType` (string) The target object type of the condition when the filterType field is specified as FilterCondition. Enum: "Invoice", "InvoiceItem" - `creditMemoFilters` (array) The documents belonging to the e-invoicing business region. - `creditMemoFilters.condition` (object) Container for condition information about the credit memo filters. - `debitMemoFilters` (array) The documents belonging to the e-invoicing business region. - `debitMemoFilters.condition` (object) Container for condition information about the debit memo filters. - `serviceProviderId` (string) The unique ID of the e-invoicing service provider that is associated to the business region. Example: "4028948972a2bf990172bc9b27724ddc" - `state` (string) The name of the state or province where the business is located. - `taxRegisterNumber` (string) The Seller's VAT identifier (also known as Seller VAT identification number) or the local identification (defined by the Seller's address) of the Seller for tax purposes, or a reference that enables the Seller to state the registered tax status. Example: "TAX393999" - `tradeName` (string) The name that the Seller is known as, other than the legal business name. Example: "Zuora" - `fileFormat` (array) You can define the file format for each business category as shown in the following example: fileFormat" : { "B2B" : [ "XML" ], "B2C" : [ ], "B2G" : [ "XML" ] } Note: This field is optional; however, if you use Avalara integration, it becomes a mandatory field. Example: {"B2B":["XML"],"B2C":[""],"B2G":["XML"]} ## Response 200 fields (application/json): - `id` (string) The unique ID of the e-invoicing business region. - `country` (string) The short name of a country or region where you must comply with e-invoicing requirements. For example, IN for India. For the full list of country names and codes, see View countries or regions. - `businessName` (string) The full official name that the Seller is registered with the relevant legal authority. - `businessNumber` (string) The specify the unique identifier number of the legal entity or person that you do business with. For example, you must use a GSTIN for India and Tax Identification Number (TIN) for Saudi Arabia. - `businessNumberSchemaId` (string) The identification scheme identifier that an official registrar issues to identify the Seller as a legal entity or person. - `tradeName` (string,null) The name that the Seller is known as, other than the legal business name. - `endpointId` (string) The Seller's electronic address, to which the application-level response to the e-invoice file might be delivered. - `endpointSchemeId` (string) The identification scheme identifier of the Seller’s electronic address. - `taxRegisterNumber` (string,null) The Seller's VAT identifier (also known as Seller VAT identification number) or the local identification (defined by the Seller’s address) of the Seller for tax purposes, or a reference that enables the Seller to state the registered tax status. - `state` (string,null) The name of the state or province where the business is located. - `city` (string) The the name of the city where the business is located. - `postalCode` (string) The short code that can identify the business address. - `addressLine1` (string,null) The first line of the Seller’s address, which is often a street address or business name. - `addressLine2` (string,null) The second line of the Seller’s address, which is often the name of a building. - `contactName` (string,null) The name of the Seller contact to receive e-invoicing data. - `phoneNumber` (string,null) The business phone number of the Seller contact to receive e-invoicing data. - `email` (string,null) The email address of the Seller contact to receive e-invoicing data. - `serviceProviderId` (string) The unique ID of the e-invoicing service provider that is associated to the business region. - `businessRegionNumber` (string) The unique number of the e-invoicing business region. - `digitalSignatureEnable` (boolean) Whether the e-invoicing service provider signs PDF files for billing documents. - `digitalSignatureBoxEnable` (boolean) Whether the digital signature box is displayed on PDF files for billing documents. - `digitalSignatureBoxPosX` (number) The X-coordinate to determine where the digital signature box is displayed on PDF files for billing documents. - `digitalSignatureBoxPosY` (number) The Y-coordinate to determine where the digital signature box is displayed on PDF files for billing documents. - `responseMapping` (object) Container for e-invoicing response field mappings that map values from the e-invoicing service provider’s response data to fields on the EInvoiceData object in Zuora. Each response field mapping consists of a field name and a field path. Note: This field is applicable only to the Sovos or Avalara service provider. For more information, see Configure e-invoicing response field mappings. - `processType` (string) The process type of the e-invoicing business region. - If the service provider is Sovos, the process type is Clearance or ClearanceWithCancellation. - If the service provider is Avalara, the process type is Clearance or PEPPOLNetwork. - If the service provider is PEPPOL, the process type is Unknown. Enum: "Clearance", "ClearanceWithCancellation", "PEPPOLNetwork", "Unknown" - `invoiceEnabled` (boolean) It will control whether the invoice should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara. - `creditMemoEnabled` (boolean) It will control whether the credit memo should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara. - `debitMemoEnabled` (boolean) It will control whether the debit memo should be supported by the process type or not. This field is available when the service provider is Sovos or Avalara. - `invoiceFilters` (array) The documents belonging to the e-invoicing business region. - `invoiceFilters.condition` (object) Container for condition information about the invoice filters. - `invoiceFilters.condition.conditions` (array) Multiple conditions fields are combined by the relation fields. These conditions fields form a custom filter. Each conditions field is a formula combined by the field, operator, and value fields. - `invoiceFilters.condition.field` (string) The field name of a single condition that is indicated by the conditions field. - `invoiceFilters.condition.operator` (string) The operator of a single condition that is indicated by the conditions field. The operator is added between the field and value fields. - eq: equal (field = value) - neq: not equal (field != value) - gt: greater than (field > value) - lt: less than (field = value) - lte: less than or equal (field <= value) - lk: like (field like value) - in: in (field in value, the values are separated by comma) - nl: null (field is null) - nnl: not null (field is not null) Enum: "eq", "neq", "gt", "lt", "gte", "lte", "lk", "in", "nl", "nnl" - `invoiceFilters.condition.relation` (string) The relation among the conditions fields. Enum: "and", "or" - `invoiceFilters.condition.value` (string) The value of a single condition that is indicated by the conditions field. - `invoiceFilters.condition.objectType` (string) The target object type of the condition when the filterType field is specified as FilterCondition. Enum: "Invoice", "InvoiceItem" - `creditMemoFilters` (array) The documents belonging to the e-invoicing business region. - `creditMemoFilters.condition` (object) Container for condition information about the credit memo filters. - `debitMemoFilters` (array) The documents belonging to the e-invoicing business region. - `debitMemoFilters.condition` (object) Container for condition information about the debit memo filters. - `fileFormat` (array) The file format for each business category. An example response is "[ "application/xml", "application/vnd.oasis.ubl+xml" ]" - `success` (boolean) Indicats if the request succeeds. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.